Subject: RE: [Mip6] Concensus Call: DNS Update for Bootstrapping

From: Gerardo Giaretta <[email-masked]>
Date: Tue, 06 Dec 2005 10:19:27 +0100

> >  In your previous mail you wrote:
> > 
> >    one of the main features of MIP6 is IP reachability
> >    at the home address. when the MN bootstraps a HoA,
> >    it is no longer reachable at the new HoA. so the
> >    MN's DNS entry MUST be updated.
> > 
> > => I disagree with the MUST because it relies on two missing
> > details:
> >  - the MN wants to be reachable using its FQDN (i.e., it is 
> a server)
> >  - the HoA is really dynamic
> > note these two properties are usually incompatible because 
> of the DNS
> > caching.
> 
> agreed. assuming the MN wants to be reachable at its FQDN,
> the MN's DNS entry MUST be update when we bootstrap a HoA.
>

This is the key point IMHO.

The bootstrapping draft does not mandate the HA the DNS update. If the
draft is not clear about that, we'll make it clearer.
The draft specifies a method for the MN to request the HA to perform the
DNS update; then the DNS update is performed by the HA via RFC 2136.
This is because the DT believed that having the HA perform the DNS
update is more scalable in terms of security associations needed and it
is more accurate in terms of address and FQDN ownership issues. If the
MN can somehow update the DNS entry by itself, that is OK, the draft
does not preclude that.

So I'm in favor of the current solution (option 2).

--cut--

> >    and the authentication option protocol in some cases.
> > 
> > => I refuse to discuss about the authentication option protocol.
> > 
> >    IMHO, option 3) might be out too.
> > 
> > => option 3) is reasonnable: it has only a small problem: 
> it is clearly
> > outside the scope of the MIP6 WG.
> > 
> >    FWIW, in 3GPP2
> > 
> > => NO, PLEASE DON'T USE THIS KIND OF ARGUMENTS!!!
> 
> and why not? I work with 3GPP2 too, which happens to like
> and use Mobile IP.
> 

Again I agree with Vijay. 3GPP2 is one of the most important deployment
of MIP. Let's keep in mind and consider their requirements. The same for
WiMAX Forum that will probably use the authentication option protocol,
too. 

--Gerardo

> Vijay
> 
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6